<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('virtual_cards', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->default(0);
            $table->string('email')->nullable();
            $table->string('phone_number')->nullable();
            $table->string('name')->nullable();
            $table->string('username')->nullable();
            $table->string('last4')->nullable();
            $table->string('exp_month')->nullable();
            $table->string('exp_year')->nullable();
            $table->string('currency')->nullable();
            $table->string('brand')->nullable();
            $table->string('status')->nullable();
            $table->string('address')->nullable();
            $table->string('cardholder_id')->nullable();
            $table->string('card_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('virtual_cards');
    }
};
